Variables declared in a member function have block scope and are known only to that function. If a member function defines a variable with the same name as a variable with class scope, or global scope, the class-scope or global scope variables are hidden by the block-scope variable in the block scope. 
Such hidden variables can be accessed by preceding just the variable name or the name with the class name followed by the scope resolution operator (::) aka unary scope resolution operator.
